package jp.co.ogis_ri.citk.policytool.service.exportpolicy.impl;

import java.util.List;

import jp.co.ogis_ri.citk.policytool.common.excel.ExcelPolicyWriter;
import jp.co.ogis_ri.citk.policytool.domain.policy.PolicyRepository;
import jp.co.ogis_ri.citk.policytool.domain.policy.model.Policy;
import jp.co.ogis_ri.citk.policytool.service.exportpolicy.ExportPolicyService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * ポリシー エクスポート サービス.
 *
 */
@Service
public class ExportPolicyServiceImpl implements ExportPolicyService {
    /**
     * PolicyRepository. 
     */
    @Autowired
    private PolicyRepository policyRepository = null;
    
    /**
     * ポリシーエクスポートクラス
     */
    @Autowired
    private ExcelPolicyWriter excelPolicyWriter = null;
    
	@Override
	public void exportPolicy(String realmName, String groupName, String resourceUrl, String fileName) {
		List<Policy> policies = policyRepository.findPolicies(realmName, groupName, resourceUrl);
		
		excelPolicyWriter.write(fileName, policies);
	}
}
